%define upstream_name    Class-Contract
%define upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Class-Contract module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
The Class::Contract module implements strong encapsulation, static
inheritance, and design-by-contract condition checking for
object-oriented Perl. The module provides a declarative syntax for
attribute, method, constructor, and destructor definitions at both
the object and class level. Pre-conditions, post-conditions, and
class invariants are also fully supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e "s,/usr/local/bin/perl,%{_bindir}/perl," demo.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Class/Contract
%{perl_vendorlib}/Class/Contract.pm
%{perl_vendorlib}/Class/demo.pl
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.140.0-12.mga10
+ Revision: 2197864
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.140.0-11.mga9
+ Revision: 1802341
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.140.0-10.mga8
+ Revision: 1493524
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.140.0-9.mga7
+ Revision: 1266301
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.140.0-8.mga6
+ Revision: 1023897
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.140.0-7.mga6
+ Revision: 934533
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.140.0-6.mga5
+ Revision: 744729
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.140.0-5.mga5
+ Revision: 727566
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.140.0-4.mga5
+ Revision: 683893
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.140.0-3.mga4
+ Revision: 509974
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0-2.mga3
+ Revision: 364309
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.140.0-1.mga1
+ Revision: 26195
- no meta.yml
- mageia rebuild
- imported package perl-Class-Contract


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.140.0-1mdv2010.0
+ Revision: 403006
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.14-4mdv2009.0
+ Revision: 241175
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-2mdv2008.0
+ Revision: 86077
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.14-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.14-1mdk
- initial Mandriva package

